QGIS 3.0.3 startup shows CRITICAL SAGA error message in Log Messages panel re "SAGA 

algorithm: RiverGridGeneration.txt"

2018-05-30 05:34 AM - Garth Fletcher

Status: Closed

Priority: Normal

Assignee:

Category: Processing/SAGA

Affected QGIS version:3.0.3 Regression?: No

Operating System: Mac OS X 10.12.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26892

Description

The latest QGIS3.0.3 under Mac OS X 10.12.6, freshly installed using "QGIS-macOS-3.0.3-1.dmg" from qgis.org

Right after starting QGIS3 I find the following Processing messages in the Log Messages panel:

2018-05-28T16:37:35 CRITICAL Could not open SAGA algorithm: RiverGridGeneration.txt

  ascii' codec can't decode byte 0xc3 in position 75: ordinal not in  range(128)

I checked the file mentioned in the (CRITICAL) message:

  ~/QGIS/python/plugins/processing/algs/saga/description/RiverGridGeneration.txt

It does indeed contain 0xc3 at byte 75 - as the Unicode lead-in for an 'a' with umlaut (diaeresis) mark.  There are also 2 other cases later

in the file of 0xc3 for 'u' with umlaut.

However, when I edited the file to replace the 2-byte ä and ü with plain ASCII 'a' and 'u', this had no effect on the next QGIS3 startup -

same error.  Perhaps the "RiverGridGeneration.txt" data is cached somewhere, or the error message is misleading?

Also, upon QGIS startup the CRITICAL message above is followed by a number of WARNING messages:

2018-05-28T16:37:35 WARNING Duplicate algorithm name clusteranalysis for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name confusionmatrixpolygonsgrid for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name gwrformultiplepredictors for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name gwrforsinglepredictorgriddedmodeloutput for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name gwrforsinglepredictorlayer for provider saga

2018-05-28T16:37:35 WARNING Duplicate parameter SEARCH_POINTS_ALL registered for alg inversedistanceweightedinterpolation

2018-05-28T16:37:35 WARNING Duplicate parameter SEARCH_POINTS_MAX registered for alg inversedistanceweightedinterpolation

2018-05-28T16:37:35 WARNING Duplicate algorithm name clusteranalysis for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name difference for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name polygonidentity for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name intersect for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name polygonselfintersection for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name symmetricaldifference for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name polygonuunion for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name regressionkriging for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name simplekriging for provider saga

2018-05-28T16:37:35 WARNING Duplicate algorithm name polygonupdate for provider saga

Can these be ignored?
Associated revisions

Revision 8307264c - 2018-06-04 09:25 PM - Nyall Dawson

[processing][SAGA] Avoid unicode errors when parsing description files

Fixes #19062

History

#1 - 2018-06-04 09:24 PM - Nyall Dawson

- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|8307264c3b610b5fd3a4cf331dcbeda5b8ae4d2c.
